import "../../components/checkbox/Checkbox";
import "../../components/grabber/Grabber";
import { type Grabber } from "../../components/grabber/Grabber";
import { LitElement } from "lit";
export declare class GrabberTemplateSandbox extends LitElement {
    private readonly grabberLeading;
    private readonly grabberTrailing;
    private readonly grabberTop;
    private readonly grabberBottom;
    private readonly grabberToggle;
    private shadow;
    private grabberStatesUpdated;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    onWindowMouseMove(e: MouseEvent): void;
    grabberToggled(): void;
    grabberHovered(): void;
    grabberDetailTemplate(grabber: Grabber.ELEMENT | null | undefined): import("lit-html").TemplateResult<1>;
    get isCollapsed(): boolean;
    render(): import("lit-html").TemplateResult<1>;
    toggleWidth(): void;
    VISIBLE_DISTANCE: number;
    isMouseCloseToRect: (e: MouseEvent, rect: DOMRect) => boolean;
}
export declare const grabberTemplate: import("lit-html").TemplateResult<1>;
